# Generated from fluent-plugin-filter-geo-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-plugin-filter-geo

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Fluent filter plugin for adding GeoIP data to record
License: Apache-2.0
URL: https://github.com/airforon/fluent-plugin-filter-geo
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 3.1.5
# BuildRequires: rubygem(test-unit) < 3.2
# BuildRequires: rubygem(minitest) >= 5.8.3
# BuildRequires: rubygem(minitest) < 5.9
BuildArch: noarch

%description
Fluent filter plugin for adding GeoIP data to record. Supports the new Maxmind
v2 database formats.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/fluent-plugin-filter-geo.zip
%{gem_libdir}
%{gem_instdir}/maxminddb.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fluent-plugin-filter-geo.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.1-1
- Initial package
